#include "sprite.h"

extern Colore COLORE_SFONDO;

void Sprite::disegnaSprite() const
{
    for (int i = 0; i < altezza; i++)
            for (int j = 0; j < larghezza; j++)
                     pset(x + j, y + i, immagine[i*larghezza+j]);
}

void Sprite::carica(const string& filename)
{
    int ris = loadImage(immagine, larghezza, altezza, filename);
    if (ris != 1)
        valida = true;
}

void Sprite::disegna() const
{
    if (nascosto)
        drawRect(x,y,x + larghezza,y + altezza, COLORE_SFONDO);
    else
        disegnaSprite();
}

void Sprite::muovi(int nx, int ny)
{
    drawRect(x,y,x + larghezza,y + altezza, COLORE_SFONDO);
    OggettoGrafico::muovi(nx,ny);
    disegnaSprite();
}

bool Sprite::isValida() const
{
    return valida;
}






