#ifndef SPRITE_H
#define SPRITE_H
#include <string>
#include "oggettografico.h"

using namespace std;

class Sprite : public OggettoGrafico
{
    public:
        Sprite(int x, int y,const string& filename):
        OggettoGrafico(x,y,NESSUN_COLORE),valida(false){
            carica(filename);
        }

        void disegna() const;
        void muovi(int x, int y);
        void disegnaSprite() const;
        bool isValida() const;
    protected:
    private:
        vector<ColorRGB> immagine;
        unsigned long altezza;
        unsigned long larghezza;
        bool valida;
        void carica(const string& filename);
};

#endif // SPRITE_H
